mod extract;
mod fetch;

use extract::DataSet;
use fetch::PdfFetcher;

#[tokio::main]
async fn main() {
    let mut fetcher = PdfFetcher::new().expect("Failed to initialize PDF fetcher");
    let doc = fetcher.fetch().await.expect("Failed to fetch PDF");
    let dataset = DataSet::extract(&doc).expect("Failed to extract dataset");
    for row in dataset.csv_rows() {
        println!("{}", row.unwrap());
    }
}
